#include <bits/stdc++.h>

using namespace std;
#define int long long
vector<int> mp(1000000), ans;
signed main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n, m;
    cin >> n >> m;
    map<int, int> mp;
    for(int i = 0; i < m; i++){
        int x;
        cin >> x;
        mp[x]++;
        if(mp[x] == n){
        ans.push_back(x);
        }
    }
    cout << ans.size() << "\n";
    for(int i = 0; i < ans.size(); i++){
        cout << ans[i] << " ";
    }
    return 0;
}
